Vulnerability Name:

CVE-2003-0358

Assigned:2003-05-29
Published:2003-06-09
Updated:2017-07-10
Summary:Buffer overflow in (1) nethack 3.4.0 and earlier, and (2) falconseye 1.9.3 and earlier, which is based on nethack, allows local users to gain privileges via a long -s command line option.
CVSS v3 Severity:5.9 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): Low
Availibility (A): Low
CVSS v2 Severity:4.6 Medium (CVSS v2 Vector: AV:L/AC:L/Au:N/C:P/I:P/A:P)
Exploitability Metrics:Access Vector (AV): Local
Access Complexity (AC): Low
Authentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
References:Source: CONFIRM
Type: UNKNOWN
http://nethack.sourceforge.net/v340/bugmore/secpatch.txt

Source: DEBIAN
Type: UNKNOWN
http://www.debian.org/security/2003/dsa-316

Source: DEBIAN
Type: UNKNOWN
http://www.debian.org/security/2003/dsa-350

Source: BUGTRAQ
Type: UNKNOWN
20030209 #!ICadv-02.09.03: nethack 3.4.0 local buffer overflow

Source: BID
Type: UNKNOWN
6806

Source: XF
Type: UNKNOWN
https://exchange.xforce.ibmcloud.com/vulnerabilities/11283

Oval Definitions
Definition IDClassTitleLast Modified
oval:org.debian:def:350
V
buffer overflow
2003-07-15
oval:org.debian:def:316
V
buffer overflow, incorrect permissions
2003-06-11
BACK